Subject: [bug#56657] [PATCH] gnu: ranger: Add dependency file

From: Nguyễn Gia Phong <[email-masked]>
Date: Tue, 26 Jul 2022 16:43:06 +0900

On Thu Jul 21, 2022 at 8:50 AM +0200, Liliana Marie Prikler wrote:
> Rather than patching PATH, you should use substitute*
> to hardcode the reference.

Coming from Nix, I don't get why is it preferred.
Shouldn't users be able to override runtime dependencies at runtime,
e.g. via a custom wrapper script?

If that is the case, I suppose the correct wrapper would be

(wrap-program ...
  '("PATH" suffix ,(list (string-append file "/bin"))))

> Also, do write a ChangeLog style commit message.

Thanks, I probably missed this reading the contrib guide.